xsok (1.02-19build1) noble; urgency=medium

  * No-change rebuild against libxt6t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 09 Mar 2024 01:03:50 +0000

xsok (1.02-19) unstable; urgency=medium

  * QA upload.
  * Explicitly declare "Rules-Requires-Root: binary-targets" (due to
    installing /usr/games/xsok and /var/games/xsok with ownership
    root:games).

 -- Colin Watson <cjwatson@debian.org>  Sat, 05 Jan 2019 12:10:54 +0000

xsok (1.02-18) unstable; urgency=low

  * QA upload.
  * Declare compliance with Debian Policy 4.2.1.
  * Remove 'debian/rules clean' to use the default
  * Remove debian/menu file
  * Change Maintainer to QA team since the package is orphaned

 -- Matheus Faria <matheus.sousa.faria@gmail.com>  Mon, 01 Oct 2018 00:21:57 -0300

xsok (1.02-17.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Switch to compat level 10. (Closes: #817738)
  * Remove debian/override.Lintian file.
  * Provide a desktop file and a new icon. (Closes: #478985)
  * Remove deprecated dpatch and upgrade to packaging format "3.0 quilt".
    Thanks to Jari Aalto for the report and patch. (Closes: #664300)
  * Declare compliance with Debian Policy 3.9.8.
  * Replace dh_clean -k with dh_prep.
  * Add recommended build-arch and build-indep targets.
  * Add Homepage field and point to tracker.debian.org.
  * Use set -e in prerm script.
  * Add do-not-use-global-variable-as-counter.patch, so that xsok won't
    overwrite the last level's savefile. Thanks Bertram Felgenhauer for the
    report and patch. (Closes: #382550)
  * Translate the help files into German. Allow users to use these translated
    files when LANG=de_DE.UTF-8 is set. Thanks to Helge Kreutzmann for the
    report and the translations. (Closes: #630230)

 -- Markus Koschany <apo@debian.org>  Thu, 06 Oct 2016 23:32:23 +0200

xsok (1.02-17) unstable; urgency=low

  * Policy 3.8.0: move /usr/X11R6/lib to /usr/lib.
  * Build-Depends: xutils-dev.  (Closes: #485726)
  * Fix 'debian/rules clean' lintian warning.
  * Update 'debian/copyright' a bit, thanks again to lintian.

 -- Peter Samuelson <peter@p12n.org>  Sun, 03 May 2009 11:48:58 -0500

xsok (1.02-16) unstable; urgency=medium

  * patch 10_lots_of_stuff: break into logical patches.
    - build_tweaks, config, manpage, overflow
  * new patch no_gunzip: rip out the gunzip support.
    This had a fragile security patch in it - there were two code paths
    selected by a define in the Imakefile, and only one was fixed.
    - patch 20_gunzip_exploit_fix deleted, as it is obsolete
  * new patch wm_delete: support ICCCM, or at least WM_DELETE_WINDOW.
    Thanks to Peter de Wachter <pdewacht@vub.ac.be> for the patch.
    (Closes: #288143)
  * new patch security_paranoia: fix/remove various uses of strcpy/sprintf.
    Most of these aren't exploitable, but some might be.
  * new patch undo_nowrap: prevent "undo" command from wrapping around
    to the end of the game.  This behavior was clearly intentional, but
    it's counterintuitive and undocumented.  (Closes: #288142)
  * new patch drag_segfault: prevent segfault when trying to drag the
    player with button 2.  (Closes: #318617)
  * patch build_tweaks:
    - disable ifdef for HPArchitecture.  Obviously they mean HP-UX; we
      don't want that stuff for Debian hppa.
    - remove -O2 from CCOPTIONS, to enable DEB_BUILD_OPTIONS=noopt.
    - fix 3 gcc warnings.  All harmless, except one on 64-bit BE,
      which Debian doesn't have for this package.
  * debian/rules: support DEB_BUILD_OPTIONS=nostrip,noopt.
  * debian/rules:
    - Remove kludge around Bug #319121, it's fixed now.
    - In the same vein, override $(LOCAL_LIBRARIES) to avoid linking
      extraneous X libraries.
    - debian/control: Trim Build-Depends accordingly.
  * debian/docs: don't ship README, it's not really relevant to Debian.

 -- Peter Samuelson <peter@p12n.org>  Tue,  7 Feb 2006 06:13:55 -0600

xsok (1.02-15) unstable; urgency=low

  * New maintainer.  (Closes: #242100)
  * Bump standards version to 3.6.2 (no changes).
  * debian/rules: use debhelper 4, remove random dh_* cruft.
  * debian/rules: small cleanups; use DESTDIR for readability.
  * Do not install COPYRIGHT.* in /usr/share/doc.  These are all covered
    by 'copyright'.
  * debian/rules: hacks to "fix" what imake spits out:
    - do not link to libselinux (see #319121)
    - do not link to libXp
  * debian/control: kill xlibs-dev in favor of the real dev packages.
  * debian/patches/11_manpage: .TH section 6x, not 6.
  * debian/copyright: FSF moved again.

 -- Peter Samuelson <peter@p12n.org>  Tue,  2 Aug 2005 21:04:34 -0500

xsok (1.02-14) unstable; urgency=low

  * QA upload.
  * Decompress .gz files in /usr/share/games/xsok/ (Closes: #291513) 
  * usr/share/games/xsok added to debian/dirs

 -- Emanuele Rocca <ema@debian.org>  Fri, 21 Jan 2005 12:41:03 +0100

xsok (1.02-13) unstable; urgency=low

  * QA upload.
  * chown user.group replaced with user:group in debian/rules and
    debian/postinst (Closes: #287994)
  * Updated Standards Version.
  * Fixed synopsis.
  * debian/conffiles removed.
  * dh_installmanpages is deprecated; replaced with dh_installman.

 -- Emanuele Rocca <ema@debian.org>  Sun,  9 Jan 2005 12:22:27 +0100

xsok (1.02-12) unstable; urgency=low

  * Orphaned.

 -- Joel Rosdahl <joel@debian.org>  Sun,  4 Apr 2004 21:03:36 +0200

xsok (1.02-11) unstable; urgency=high

  * Use dpatch for patch management.
  * Standards-Version 3.6.0.
  * Fixed CAN-2003-0949: Privilege escalation to group games. Bug fix by
    Steve Kemp.
  * Build-depend on libxaw7-dev instead of libxaw-dev.

 -- Joel Rosdahl <joel@debian.org>  Thu, 20 Nov 2003 12:19:02 +0100

xsok (1.02-10) unstable; urgency=low

  * Changed build dependency on xlib6g-dev to xlibs-dev. Closes:
    bug#170160.
  * Standards-Version 3.5.8.

 -- Joel Rosdahl <joel@debian.org>  Sat, 25 Jan 2003 22:51:09 +0100

xsok (1.02-9) unstable; urgency=low

  * Added menu hint "Sokoban".  Closes: bug#128756.

 -- Joel Rosdahl <joel@debian.org>  Fri, 11 Jan 2002 17:18:56 +0100

xsok (1.02-8) unstable; urgency=low

  * Fixed buffer overflow when reading environment variable LANG.
  * Fixed spelling error in copyright file.
  * Use DH_COMPAT 3.

 -- Joel Rosdahl <joel@debian.org>  Wed, 12 Dec 2001 20:46:35 +0100

xsok (1.02-7) unstable; urgency=low

  * Move whole /var/lib/games/xsok to /var/games/xsok.  Fixes: bug#94968.

 -- Joel Rosdahl <joel@debian.org>  Mon, 23 Apr 2001 14:30:31 +0200

xsok (1.02-6) unstable; urgency=low

  * Moved files in /var/lib/games to /var/games.
  * Moved files in /usr/lib/games to /usr/share/games.

 -- Joel Rosdahl <joel@debian.org>  Mon,  9 Apr 2001 22:38:19 +0200

xsok (1.02-5) unstable; urgency=low

  * Standards-Version 3.5.2.
  * Put app-defaults in /etc/X11/app-defaults.  Closes: bug#86332.
  * Added app-defaults file as conffile.
  * Don't use suidmanager anymore.

 -- Joel Rosdahl <joel@debian.org>  Thu, 22 Feb 2001 22:39:45 +0100

xsok (1.02-4) unstable; urgency=low

  * Added build dependency on xutils (for xmkmf).  Closes: bug#84890.

 -- Joel Rosdahl <joel@debian.org>  Mon,  5 Feb 2001 00:20:47 +0100

xsok (1.02-3) unstable; urgency=low

  * Removed outdated build dependency.  Closes: bug#84652.
  * Standards-Version: 3.2.1.
  * Added Lintian override.

 -- Joel Rosdahl <joel@debian.org>  Sat,  3 Feb 2001 11:18:57 +0100

xsok (1.02-2) unstable; urgency=low

  * Improved build target in debian/rules.
  * Added Build-Depends field to debian/control.

 -- Joel Rosdahl <joel@debian.org>  Sat, 13 May 2000 00:51:16 +0200

xsok (1.02-1) unstable; urgency=low

  * Found version 1.02...
  * Standards-Version 3.1.1

 -- Joel Rosdahl <joel@debian.org>  Sun, 12 Mar 2000 00:58:38 +0100

xsok (1.01-11) unstable; urgency=low

  * Converted to debhelper.
  * Standards-Version 2.4.1

 -- Joel Rosdahl <joel@debian.org>  Sun, 26 Jul 1998 16:57:46 +0200

xsok (1.01-10) unstable; urgency=low

  * Rebuilt to fix some warnings from Lintian about wrong file permissions
  * Moved back man-page.  :P

 -- Joel Rosdahl <joel@debian.org>  Sun,  8 Mar 1998 22:58:28 +0100

xsok (1.01-9) unstable; urgency=low

  * Standards-Version 2.4.0.0
  * Moved man-page to /usr/X11R6/man
  * Fixed some problems reported by Lintian

 -- Joel Rosdahl <joel@debian.org>  Sun,  8 Mar 1998 14:27:06 +0100

xsok (1.01-8) unstable; urgency=low

  * Fixed debian/rules (bug #15539)

 -- Joel Rosdahl <joel@debian.org>  Wed,  3 Dec 1997 21:43:01 +0100

xsok (1.01-7) unstable; urgency=low

  * Changed priority from Extra to Optional.

 -- Joel Rosdahl <joel@debian.org>  Wed, 26 Nov 1997 01:06:05 +0100

xsok (1.01-6) unstable; urgency=low

  * Recompiled (fixes bug #15260)

 -- Joel Rosdahl <joel@debian.org>  Tue, 25 Nov 1997 23:40:03 +0100

xsok (1.01-5) unstable; urgency=low

  * Recompiled against the the new xlib6 and xpm4 libraries (fixes
    bugs #12709 and #12916)

 -- Joel Rosdahl <joel@debian.org>  Wed, 24 Sep 1997 20:43:10 +0200

xsok (1.01-4) unstable; urgency=low

  * Changed maintainer
  * Updated to Standards-Version 2.1.2.2
  * Added entry in Debian's menu system
  * Added default username in AppDefaults
  * Fixed a path in the manpage
  * Fixed savedir resource name (fixing bug #8966)
  * Added a prerm script that cleans up the global highscore directory
  * Updated debian/rules to use debstd

 -- Joel Rosdahl <joel@debian.org>  Thu, 14 Aug 1997 20:33:35 +0200

xsok (1.01-3) unstable; urgency=low

  * Updated to Standards-Version 2.1.0.0.

 -- Sven Rudolph <sr1@inf.tu-dresden.de>  Thu, 24 Oct 1996 15:14:57 +0200

Wed Jul 24 22:12:38 1996  Sven Rudolph  <sr1@inf.tu-dresden.de>

	* corrected extended description (Bug#3669)

	* added multi-architecture support

Tue Feb 20 00:03:35 1996  Sven Rudolph  <sr1@inf.tu-dresden.de>

	* upgraded to xsok 1.01

	* converted to ELF

	* runs setgid games again

Mon Aug 28 17:06:32 1995  Sven Rudolph  <sr1@inf.tu-dresden.de>

	* releasing xsok-1.00-2

	* src/Xaw-main.c: added temporary change of euid for
	                  XtAppInitialize

Thu Aug 17 22:42:29 1995  Sven Rudolph  <sr1@inf.tu-dresden.de>

	* releasing xsok-1.00-1

Tue Aug 15 21:31:57 1995  Sven Rudolph  <sr1@inf.tu-dresden.de>

	* src/X-widget.c: dont use getenv("LANG")

	* src/Imakefile: added: install -d $(XSOKMANDIR)
	                 do not install copyright files into doc

	* Makefile (all): commented out 'make testname'

	* changed file locations according to FSSTND

	* added Debian GNU/Linux package maintenance system files
